import type { TypeQueryItemProps } from './type';
declare const _default: import("vue/types/vue").ExtendedVue<import("vue").default, {
    form: {};
    isExpand: boolean;
}, {
    onSubmit(ctx: any): void;
    onChange(name: any, v: any): void;
    renderCore(list: TypeQueryItemProps[]): JSX.Element[];
    renderDynamicButtons(isLast: boolean): JSX.Element;
}, {
    itemWidth: number;
    point: number;
    previewData: TypeQueryItemProps[];
    moreData: TypeQueryItemProps[];
}, {
    list: any[];
    expand: boolean;
    grid: number;
    layout: string;
    onExpand: boolean;
}>;
export default _default;
